xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2009 Ilya Portnov
License | BSD3-style (see LICENSE)
Maintainer | Ilya Portnov <portnov84@rambler.ru>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.OneBig

Contents

- Usage

Description

Provides layout named OneBig. It places one (master) window at top left corner of screen, and other (slave) windows at top

Synopsis

- data OneBig a = OneBig Float Float

# Usage

This module defines layout named OneBig. It places one (master) window at top left, and other (slave) windows at right and at bottom of master. It tries to give equal space for each slave window.

You can use this module by adding following in your `xmonad.hs`:

    import XMonad.Layout.OneBig

Then add layouts to your layoutHook:

    myLayoutHook = OneBig (3/4) (3/4) ||| ...

In this example, master window will occupy 3/4 of screen width and 3/4 of screen height.

data OneBig a #

Data type for layout

Constructors

OneBig Float Float |

#### Instances

Instances details

LayoutClass OneBig a # |

Instance details

Defined in XMonad.Layout.OneBig

Methods

runLayout :: Workspace WorkspaceId (OneBig a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (OneBig a)) #

doLayout :: OneBig a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (OneBig a)) #

pureLayout :: OneBig a -> Rectangle -> Stack a -> [(a, Rectangle)] #

emptyLayout :: OneBig a -> Rectangle -> X ([(a, Rectangle)], Maybe (OneBig a)) #

handleMessage :: OneBig a -> SomeMessage -> X (Maybe (OneBig a)) #

pureMessage :: OneBig a -> SomeMessage -> Maybe (OneBig a) #

description :: OneBig a -> String #

Read (OneBig a) # |
Instance details Defined in XMonad.Layout.OneBig Methods readsPrec :: Int -> ReadS (OneBig a) # readList :: ReadS [OneBig a] # readPrec :: ReadPrec (OneBig a) readListPrec :: ReadPrec [OneBig a]
Show (OneBig a) # |
Instance details Defined in XMonad.Layout.OneBig Methods showsPrec :: Int -> OneBig a -> ShowS # show :: OneBig a -> String # showList :: [OneBig a] -> ShowS #